Bug 330961 - Web browser 'epiphany' does not use all available 'Bluecurve' icons
Web browser 'epiphany' does not use all available 'Bluecurve' icons
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: bluecurve-icon-theme (Show other bugs)
11
noarch Linux
low Severity low
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-13 17:06 EDT by Joachim Frieben
Modified: 2010-06-28 06:27 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 06:27:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Sample screenshot of epiphany-2.20.0-1.fc8 (64.95 KB, image/png)
2007-10-13 17:06 EDT, Joachim Frieben
no flags Details
Sample screenshot of epiphany-2.16.3-5.fc6 (145.11 KB, image/png)
2007-10-13 17:24 EDT, Joachim Frieben
no flags Details

  None (edit)
Description Joachim Frieben 2007-10-13 17:06:38 EDT
Description of problem:
Current 'epiphany-2.20.0-1.fc8' does use a number of 'Bluecurve' icons
when this icon theme is chosen. However, there are a number of
'Bluecurve' icons which do not get used, e.g. in case of the 'History',
'Bookmarks', or 'Send Link by Email...' buttons.

Version-Release number of selected component (if applicable):
bluecurve-icon-theme-8.0.0-1.fc8

How reproducible:
Always.

Steps to Reproduce:
1. Switch to 'Bluecurve' icon theme.
2. Launch 'epiphany'.
  
Actual results:
Some icons are stock 'GNOME' ones.

Expected results:
'Bluecurve' icons should be used unless there doesn't exist one.

Additional info:
By simply searching for 'Bluecurve' icons whose name contains 'epiphany',
one comes up with a number of [mostly unused] icons in the respective
/usr/share/icons/Bluecurve/??x?? directories:

  ./stock/epiphany-history.png
  ./stock/epiphany-send-link.png
  ./stock/epiphany-download.png
  ./stock/epiphany-fullscreen.png
  ./stock/epiphany-bookmarks.png
  ./stock/epiphany-new-tab.png
  ./stock/epiphany-bookmark-page.png

Strange enough, some do not even seem to correspond to an existing
function, e.g. in case of 'epiphany-fullscreen.png'. Maybe this feature
got dropped some time ago.

The attachment shows a sample screenshot which further demonstrates
another issue, namely the wrong sizing of certain icons in the address
bar [here, it's the lock icon] which leads to an excessive height of
the address field.
Comment 1 Joachim Frieben 2007-10-13 17:06:38 EDT
Created attachment 226521 [details]
Sample screenshot of epiphany-2.20.0-1.fc8
Comment 2 Joachim Frieben 2007-10-13 17:24:02 EDT
Created attachment 226541 [details]
Sample screenshot of epiphany-2.16.3-5.fc6
Comment 3 Bug Zapper 2008-05-13 23:23:16 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-06-09 18:56:26 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-04-27 07:47:08 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2010-06-28 06:27:46 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.